import { Knex } from 'knex';
import { IdentityTokenService } from '@tryghost/identity-token-service';
type ExpectedWebhook = {
    event: string;
    target_url: URL;
    api_version: string;
    secret: string;
};
interface Logger {
    info(message: string): void;
    warn(message: string): void;
    error(message: string): void;
}
export declare class ActivityPubService {
    private knex;
    private siteUrl;
    private logging;
    private identityTokenService;
    constructor(knex: Knex, siteUrl: URL, logging: Logger, identityTokenService: IdentityTokenService);
    getExpectedWebhooks(secret: string): ExpectedWebhook[];
    checkWebhookState(expectedWebhooks: ExpectedWebhook[], integration: {
        id: string;
    }): Promise<boolean>;
    getWebhookSecret(): Promise<string | null>;
    initialiseWebhooks(): Promise<void>;
}
export {};
